"use strict";

// Ravienne's lab bookshelf; a one-off but an important one-off
var GO_LogShelf = function(){
	this.sprite = new Sprite(GO_LogShelf.spriteSheet,"LogShelf");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,1,31,31);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "LogShelf";

	this._makeCheckable("Lab_Bookshelf");
};
GO_LogShelf.spriteImg = SDS_Load_Image("art/sheets/sprite/logshelf.png");
GO_LogShelf.spriteSheet = new TileSheet(5, 4, 0, 0, GO_LogShelf.spriteImg);

GO_LogShelf.prototype = new GameObject(
	new Sprite(
		GO_LogShelf.spriteSheet,
		"LogShelf"
	),
	"LogShelf"
	);

	GO_LogShelf.prototype.Update = function(){

	};
